org.kie.internal.builder.conf

## Enum ClassLoaderCacheOption

- java.lang.Object
- - java.lang.Enum<ClassLoaderCacheOption>
  - - org.kie.internal.builder.conf.ClassLoaderCacheOption

- All Implemented Interfaces:
    Serializable, Comparable<ClassLoaderCacheOption>, org.kie.api.conf.KieBaseOption, org.kie.api.conf.Option, org.kie.api.conf.SingleValueKieBaseOption, KnowledgeBuilderOption, SingleValueKnowledgeBuilderOption

      public enum ClassLoaderCacheOption
      extends Enum<ClassLoaderCacheOption>
      implements SingleValueKnowledgeBuilderOption, org.kie.api.conf.SingleValueKieBaseOption

  An Enum for ClassLoaderCacheOption option. drools.classLoaderCacheEnabled = <true|false> DEFAULT = true When resolving classes on the classpath, drools calls the parent classloader to resolve them. Usually classloaders do not cache results, making compilation very expensive on IO. By default, Drools will cache results of class resolution on the external parent classloader in order to improve compilation performance. This cache can be disabled by setting this option to false. This option is new to Drools 5.1. Before 5.1, Drools would never cache class resolution results.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED`
    `ENABLED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the process string escapes option

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyName()`
    `boolean` | `isClassLoaderCacheEnabled()`
    `static ClassLoaderCacheOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClassLoaderCacheOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final ClassLoaderCacheOption ENABLED

    - #### DISABLED

          public static final ClassLoaderCacheOption DISABLED

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the process string escapes option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static ClassLoaderCacheOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClassLoaderCacheOption c : ClassLoaderCacheOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClassLoaderCacheOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### isClassLoaderCacheEnabled

          public boolean isClassLoaderCacheEnabled()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.